Extended Fields - Bug #2314

Internal error on custom field with no value
13 Jun 2014 15:30 - Olivier Houdas

Status: Closed Start date: 13 Jun 2014
Priority: Major Due date:

Assignee: Andriy Lesyuk % Done: 0%
Category: Special column Estimated time: 0.00 hour
Target version: 0.2.4

Redmine version: External issue:

Description

In our Redmine, there are some custom boolean fields which don’t have a value.
In this case, we get an internal error because of extended_queries_helper_patch.rb:

Completed 500 Internal Server Error in 1975.1ms
ActionView: :Template::Error (undefined method “value' for nil:NilClass):

53: <%=Rails.logger.info "issuenumber: " + issue.id.to_s%>

54: <% inline_columns.each do |column| >

55: <%=Rails.logger.info "column: " + column.name.to_s%>

56: <%= content_tag 'td', column_content (column, issue), :class => column.respond_to?(:c
ss_classes) ? column.css_classes : column.name %>

57: < end %>

58: &1t; /tr&gt;

I have tried modifying line 27 of /lib/extended_queries_helper_patch.rb from

h (show_value (value))

to
unless value.nil?

h (show_value (value))
end

and it seems to work. What do you think of it?

Related issues:
Duplicates Extended Fields - Patch #2294: Error 500 with version 0.2.3 on Red... Closed

22 May 2014

Associated revisions

Revision 125 - 30 Oct 2016 12:22 - Andriy Lesyuk
Applied patch of Massimo Rossello (#2294, #2314 and #2366)

History

#1 - 13 Jun 2014 15:33 - Andriy Lesyuk
- Status changed from New to Open
- Priority changed from Normal to Major

Olivier, | think, you’ve made a good research of the issue! Thanks!

#2 - 06 Aug 2014 21:11 - Dariusz Kowalski

09 Apr 2024
http://projects.andriylesyuk.com/users/gc_olivierho

Andriy Lesyuk wrote:

Olivier, | think, you’ve made a good research of the issue! Thanks!

Thanks, it's help me

#3 - 09 Oct 2016 21:12 - Andriy Lesyuk
- Duplicated by Patch #2294: Error 500 with version 0.2.3 on Redmine 2.5.1 added

#4 - 09 Oct 2016 21:13 - Andriy Lesyuk
- Duplicated by deleted (Patch #2294: Error 500 with version 0.2.3 on Redmine 2.5.1)

#5 - 09 Oct 2016 21:13 - Andriy Lesyuk
- Duplicates Patch #2294: Error 500 with version 0.2.3 on Redmine 2.5.1 added

#6 - 30 Oct 2016 12:22 - Andriy Lesyuk
- Status changed from Open to Closed

09 Apr 2024
